This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 404631 - After upgrading 5.0 to 5.1, kickstarting system gets HTML Not found page instead of vmlinux and initrd
After upgrading 5.0 to 5.1, kickstarting system gets HTML Not found page inst...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
510
All Linux
medium Severity high
: ---
: ---
Assigned To: Devan Goodwin
Preethi Thomas
: Reopened
Depends On:
Blocks: 248635 362521
  Show dependency treegraph
 
Reported: 2007-11-29 10:44 EST by Jan Pazdziora
Modified: 2008-04-02 16:32 EDT (History)
0 users

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 16:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-11-29 10:44:23 EST
Description of problem:

After upgrading Satellite 5.0.1 to 5.1, kickstart that used to work alright on
5.0.1 does not work on 5.1 -- the initrd.* and vmlinuz.* files downloaded to
/boot/rhn-kickstart/ks-rhel-i386-server-5/ have about 4kB, containing HTML pages.

Version-Release number of selected component (if applicable):

Satellite 5.1.0-26, upgraded from 5.0.1.

How reproducible:

Seen two instances.

Steps to Reproduce:
1. Have Satellite 5.0.1.
2. Create kickstart profile there, verify that you can kickstart system using
that profile.
3. Upgrade the Satellite to 5.1.0.
4. Try to kickstart using the very same kickstart profile.
  
Actual results:

Error 13: Invalid or unsupported executable format

By booting back to the original system, we can explore /boot/rhn-kickstart and
files that were downloaded there are not the ones we'd expect to see there.

Also -- looking into httpd's access_log, there are records like

10.34.34.139 - - [29/Nov/2007:16:29:26 +0100] "GET
/rhn/kickstart/ks-rhel-i386-server-5/images/pxeboot/vmlinuz HTTP/1.0" 302 - "-"
"Python-urllib/1.16"
10.34.34.139 - - [29/Nov/2007:16:29:26 +0100] "GET
/rhn/kickstart/ks-rhel-i386-server-5/images/pxeboot/initrd.img HTTP/1.0" 302 -
"-" "Python-urllib/1.16"

there.

Expected results:

No error, system kickstarted.

Additional info:
Comment 1 Jan Pazdziora 2007-11-29 10:49:49 EST
Well, that 302 points to https and here's that 404 from ssl_access_log:

10.34.34.139 - - [29/Nov/2007:16:29:26 +0100] "GET
/rhn/kickstart/ks-rhel-i386-server-5/images/pxeboot/vmlinuz HTTP/1.1" 404 4021
10.34.34.139 - - [29/Nov/2007:16:29:26 +0100] "GET
/rhn/kickstart/ks-rhel-i386-server-5/images/pxeboot/initrd.img HTTP/1.1" 404 4030
Comment 2 Jan Pazdziora 2007-11-29 11:09:43 EST
The difference between kickstart created in 5.0 (and accessed in 5.1) and
created after that upgrade to 5.1 is the url parameter:

# Kickstart config file generated by RHN Config Management
#
# Profile Name  : rhel-5
# Profile Label : rhel-5
# Date Created  : 2007-11-29 10:29:58.0
#

install
text
network --bootproto dhcp
url --url http://xen61.englab.brq.redhat.com/rhn/kickstart/ks-rhel-i386-server-5
lang en_US
langsupport --default en_US en_US
keyboard us
mouse none

---

# Kickstart config file generated by RHN Config Management
#
# Profile Name  : rhel-5-new
# Profile Label : rhel-5-new
# Date Created  : 2007-11-29 17:07:50.0
#

install
text
network --bootproto dhcp
url --url http://xen61.englab.brq.redhat.com/ty/hGSJeWIz
lang en_US
langsupport --default en_US en_US
keyboard us
mouse none
Comment 3 Jan Pazdziora 2007-12-03 05:32:40 EST
The difference between those two is in the table rhnKickstartCommand:

select * from rhnKickstartCommand where KS_COMMAND_NAME_ID = 13 ;
ID,KICKSTART_ID,KS_COMMAND_NAME_ID,ARGUMENTS,CREATED,MODIFIED
'4','1','13','--url
http://xen61.englab.brq.redhat.com/rhn/kickstart/ks-rhel-i386-server-5','29-NOV-07','29-NOV-07'
'47','2','13','--url /rhn/kickstart/ks-rhel-i386-server-5','29-NOV-07','29-NOV-07'
[2 rows of 6 fields returned]

So if the url is spelled out fully, as all url created by 5.0 (and earlier) seem
to be, it does not start with a slash, and does not get rewritten ...
Comment 4 Devan Goodwin 2007-12-03 14:49:20 EST
Brought back some of the old logic prior to the fix that caused this to
hopefully cover us in the situation where a profile was created prior to upgrade.

Sending        code/src/com/redhat/rhn/manager/kickstart/KickstartFormatter.java
Transmitting file data .
Committed revision 134389.
Comment 5 Justin Sherrill 2008-01-04 11:43:25 EST
seems fixed in -32.

I installed a 5.0 satellite, registered and kickstarted a machine, then upgraded
to 5.1, kickstarted the same machine and it worked perfectly.

Comment 6 Devan Goodwin 2008-02-13 09:57:50 EST
Have to reopen this, the logic we added in commend #4 was removed. URLs should
now be corrected on upgrade.

Logic removed in revision 136875.
Comment 8 Brandon Perkins 2008-03-24 22:02:00 EDT
Release Pending.
Comment 9 Brandon Perkins 2008-04-02 16:32:13 EDT
Proxy 5.1.0 GA so Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.